
body {
	display: flex;
	flex-direction: column;
	position: relative;
	margin: 0;
	font-family: sans-serif;
	font-size: 0.18in;
	height: 100vh;
	width: 100vw;
	box-sizing: border-box;
	overscroll-behavior: none;
	overflow: hidden;
}

a, a:link, a:visited, a:link:active, a:visited:active { 
    color: inherit;
    text-decoration: none;
    cursor: auto;
    box-sizing: border-box;
}

div, button {
	display: inline-block;
	margin: 0;
	box-sizing: border-box;
}

form {
	padding: 0.125in;
}

fieldset {
	border: 0;
	border-style: hidden;
}

textarea {
	font-family: sans-serif;
}

.list-item-form {
	display: flex;
	flex-direction: row;
	align-items: center;
	padding: 0;
}

label {
	flex: 1;
	color: #000;
	font-size: 0.16in;
	padding-top: 0.125in;
}

input, select {
	margin: 0.125in;
	padding: 8px;
	font-size: 0.18in;
}

ul {
	list-style-type: disc;
	margin: 0;
	padding-left: 0.5in;
}

ol {
	list-style-type: decimal;
	margin: 0;
	padding-left: 0.5in;
}

table {
	 border-collapse: collapse;
}

table, th, td {
	border: 1px solid black;
}

th, td {
	padding: 0.16in;
}

@font-face {
  font-family: 'Material Icons';
  font-style: normal;
  font-weight: 400;
  src: url(iconfont/MaterialIcons-Regular.eot);
  /* For IE6-8 */
  src: local("Material Icons"), local("MaterialIcons-Regular"), url(iconfont/MaterialIcons-Regular.woff2) format("woff2"), url(iconfont/MaterialIcons-Regular.woff) format("woff"), url(iconfont/MaterialIcons-Regular.ttf) format("truetype");
}

.icon {
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 0.375in;
  /* Preferred icon size */
  display: inline-block;
  line-height: 1;
  text-transform: none;
  letter-spacing: normal;
  word-wrap: normal;
  white-space: nowrap;
  direction: ltr;
  padding: 0;
  /* Support for all WebKit browsers. */
  -webkit-font-smoothing: antialiased;
  /* Support for Safari and Chrome. */
  text-rendering: optimizeLegibility;
  /* Support for Firefox. */
  -moz-osx-font-smoothing: grayscale;
  /* Support for IE. */
  font-feature-settings: 'liga';
}

.main-color, .toolbar, .button, input[type="submit"], button {
	background-color: #45f;
	color: #fff;
}

.center-center, .button, .list-item , button{
	display: flex;
	align-items: center;
	justify-content: center;
}

.fullwidth {
	width: 100%;
}

.padded {
	padding: 0.125in;
}

.warning-color, .error {
	background-color: #f54 !important;
	color: #fff !important;
}

.error {
	font-size: 0.125in;
}

.toolbar {
	flex: 0;
	display: flex;
	align-items: center;
	width: 100%;
}

.login-title {
	text-align: center;
	font-size: 0.3in;
	font-weight: bold;
	padding-top: 0.125in;
}

.title {
	flex: 1;
	text-align: center;
	font-size: 0.22in;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.toolbar .button {
	flex: 0;
	height: 0.5in;
	width: 0.5in;
	margin: 0;
	text-align: center;
}

.error {
/*	position: fixed;*/
	width: 100%;
	padding: 0.125in;
}

.appframe {
	overflow: scroll;
	overscroll-behavior: none;
}

input[type="checkbox"], input[type="radio"] {
	height: 0.25in;
	width: 0.25in;
}

input[type="color"] {
	padding: 0;
	block-size: 2em;
	inline-size: 3em;
	align-self:  center;
}

.no-pointer-events {
	pointer-events: none;
}

.checkbox-box {
	display: flex;
	align-items: center;
}

.checkbox-box label {
	padding: 0;
}

input[type="submit"], button {
	margin: 0.125in;
	text-align: center;
	height: 0.5in;
	min-width: 0.5in;
	border-style: none;
	border-radius: 5px;
	font-size: 0.18in;
}

input[type="submit"][disabled], button[disabled]
{
	background-color: #aaa !important;
}

.button_bar {
	font-size: 0.125in;
	padding: 0 0.0625in;
}

.appframe, .list, .error, form {
	display:flex;
	flex-direction: column;
}

.list-item {
	height: 0.5in;
	border-top: 1px solid #ddd;
	width: 100%;
}

.list-spacer {
	height: 0.25in;
	border-top: 1px solid #ddd;
	width: 100%;
}

.delete-user-name {
	padding-top: 0.125in;
	font-size: 0.2in;
	font-weight: bold;
}

.delete-user-username {
	font-size: 0.16in;
}

.list-bottom-margin {
	height: 2in;
	border-top: 1px solid #ddd;
	width: 100%;
}

